# Quick start

Code.Movie is a JavaScript library that turns code snippets into CSS-based animations. Think react-style diffing plus syntax highlighting plus CSS transitions. You simply declare your keyframes...

```javascript
let keyframes = [
  { code: `[]` },
  { code: `["World"]` },
  { code: `["Hello", "World"]` },
  { code: `[\n  "Hello",\n  "World"\n]` },
];
```

... load [the core library](https://www.npmjs.com/package/@codemovie/code-movie)
and the language module, feed the keyframes and a language instance into a
function...

```javascript
let keyframes = [
  /* keyframes go here */
];

import { animateHTML } from "@codemovie/code-movie";
import json from "@codemovie/code-movie/languages/json";

// HTML = string of bog-standard HTML and CSS
let html = animateHTML(keyframes, {
  tabSize: 2,
  language: json(),
});
```

... and you get animated, syntax highlighted code ready for your next slide deck or coding tutorial:

<code-movie-html language="json">
<figure><pre>[]</pre></figcaption>
<figure><pre>["World"]</pre></figcaption>
<figure><pre>["Hello", "World"]</pre></figcaption>
<figure><pre>[
  "Hello",
  "World"
]</pre></figcaption>
</code-movie-html>

You can generate the animation client- or server-side. It requires no runtime JavaScript and works entirely by switching HTML attributes to jump from keyframe to keyframe. Integrations like [`<code-movie-runtime>`](https://www.npmjs.com/package/@codemovie/code-movie-runtime) turn even this last step into a no-brainer.

Check out [the full tutorial](./tutorial/Readme.md) for a more in-depth explanation of these steps or read up on [the _many_ CSS variables](./styling/Readme.md) that you can change to tweak your animations. If you want to discuss something or want to report a bug, [head over to the CodeMovie meta repository on Github](https://github.com/CodeMovie/meta).
